geronimo-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Anita Kulshreshtha <a_kuls...@yahoo.com>
Subject Re: 2.0 release status
Date Tue, 07 Aug 2007 04:13:01 GMT

--- Vamsavardhana Reddy <c1vamsi1c@gmail.com> wrote:

> This is crude!!  First I ran the build on
> modules\geronimo-j2ee-builder with
> IBMJDK1.5.0 with tests turned off to be able to build the module. 
> Then I
> ran the build (not a clean build) with SunJDK1.5.0 with tests on and
> the
> tests passed!!
> 
> --vamsi
> 
.......................................
> > When I build modules\geronimo-j2ee-builder, I get a build failure
> with
> > XmlBeans compile failed.  

    I recently ran into a similar problem. In my case I ran "mvn clean"
on modules, which downloaded the latest xmlbeans plugin but it did not
update its dependencies!!! One could say it does not need them to
perform clean operation. Later when j2ee-builder was being built, I got
the error you mentioned. I deleted xmlbeans plugin from .m2 repo and
built using "mvn" from geronoimo-j2ee-builder (or modules) directory.
This time the plugin and all its dependencies were downloaded and the
build was successful. 
    So if a plugin is downloaded/updated during mvn clean, its
dependencies may not be the latest. It's a maven thing...

Thanks
Anita

     


      ____________________________________________________________________________________
Park yourself in front of a world of choices in alternative vehicles. Visit the Yahoo! Auto
Green Center.
http://autos.yahoo.com/green_center/ 

Mime
View raw message